<?php

namespace JUM\ConnectedAccounts;

use XF\AddOn\AbstractSetup;

class Setup extends AbstractSetup
{
	/**
	 * @param array $stepParams
	 *
	 * @return void
	 */
	public function install(array $stepParams = [])
	{
		$this->db()->insertBulk('xf_connected_account_provider',
			[
				[
					'provider_id' => 'vkontakte',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Vkontakte',
					'display_order' => 9,
					'options' => ''
				],
				[
					'provider_id' => 'odnoklassniki',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Odnoklassniki',
					'display_order' => 11,
					'options' => ''
				],
				[
					'provider_id' => 'reddit',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Reddit',
					'display_order' => 19,
					'options' => ''
				],
				[
					'provider_id' => 'instagram',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Instagram',
					'display_order' => 27,
					'options' => ''
				],
				[
					'provider_id' => 'twitch',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Twitch',
					'display_order' => 28,
					'options' => ''
				],
				[
					'provider_id' => 'yandex',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Yandex',
					'display_order' => 29,
					'options' => ''
				],
				[
					'provider_id' => 'dropbox',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Dropbox',
					'display_order' => 41,
					'options' => ''
				],
				[
					'provider_id' => 'paypal',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Paypal',
					'display_order' => 51,
					'options' => ''
				],
				[
					'provider_id' => 'vimeo',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Vimeo',
					'display_order' => 52,
					'options' => ''
				],
				[
					'provider_id' => 'tumblr',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Tumblr',
					'display_order' => 71,
					'options' => ''
				],
				[
					'provider_id' => 'pinterest',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Pinterest',
					'display_order' => 72,
					'options' => ''
				],
				[
					'provider_id' => 'amazon',
					'provider_class' => 'JUM\\ConnectedAccounts:Provider\\Amazon',
					'display_order' => 73,
					'options' => ''
				]

			], 'provider_id');

	}

	/**
	 * @param array $stepParams
	 *
	 * @return void
	 */
	public function upgrade(array $stepParams = [])
	{}

	/**
	 * @param array $stepParams
	 *
	 * @return void
	 */
	public function uninstall(array $stepParams = [])
	{
		$providerClass = 'JUM\\\\ConnectedAccounts:Provider\\\\%';
		$this->db()->delete('xf_connected_account_provider', "provider_class LIKE ?", $providerClass);

	}
}